# Generated from hipaa-enum-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hipaa-enum

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Sweet enum sugar for your Mongoid documents
License: MIT
URL: https://github.com/kennethrosales/hipaa-enum
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(guard-rspec) >= 4.6.2
# BuildRequires: rubygem(guard-rspec) < 4.7
BuildArch: noarch

%description
Heavily inspired by DDH's ActiveRecord::Enum, this little library is there to
help you cut down the cruft in your models and make the world a happier place
at the same time.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/hipaa-enum-0.1.0.gem
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/hipaa-enum.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.2.0-1
- Initial package
